/*
**  Copyright (C) 1993-1996, OFFIS, Oldenburg University and CERIUM
**  
**  This software and supporting documentation were
**  developed by 
**  
**    Institut OFFIS
**    Bereich Kommunikationssysteme
**    Westerstr. 10-12
**    26121 Oldenburg, Germany
**    
**    Fachbereich Informatik
**    Abteilung Prozessinformatik
**    Carl von Ossietzky Universitaet Oldenburg 
**    Ammerlaender Heerstr. 114-118
**    26111 Oldenburg, Germany
**    
**    CERIUM
**    Laboratoire SIM
**    Faculte de Medecine
**    2 Avenue du Pr. Leon Bernard
**    35043 Rennes Cedex, France
**  
**  for CEN/TC251/WG4 as a contribution to the Radiological 
**  Society of North America (RSNA) 1993 Digital Imaging and 
**  Communications in Medicine (DICOM) Demonstration.
**  
**  THIS SOFTWARE IS MADE AVAILABLE, AS IS, AND NEITHER OFFIS,
**  OLDENBURG UNIVERSITY NOR CERIUM MAKE ANY WARRANTY REGARDING 
**  THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY OR 
**  FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER 
**  DISEASES OR ITS CONFORMITY TO ANY SPECIFICATION.  THE 
**  ENTIRE RISK AS TO QUALITY AND PERFORMANCE OF THE SOFTWARE   
**  IS WITH THE USER. 
**  
**  Copyright of the software and supporting documentation
**  is, unless otherwise stated, jointly owned by OFFIS,
**  Oldenburg University and CERIUM and free access is hereby
**  granted as a license to use this software, copy this
**  software and prepare derivative works based upon this
**  software. However, any distribution of this software
**  source code or supporting documentation or derivative
**  works (source code and supporting documentation) must
**  include the three paragraphs of this copyright notice. 
** 
*/

#ifndef __CTNDISP_DICOM_H
#define __CTNDISP_DICOM_H

#include "ctndcons.h"
extern "C"
{
#include <X11/Xlib.h>
}

typedef struct {
    unsigned short Samples_Per_Pixel,
        Rows,
        Columns,
        Bits_Allocated,
        Bits_Stored,
        High_Bit,
        Pixel_Representation,
        Planar_Configuration,  
        Red_Palette_Descriptors[3],
        Green_Palette_Descriptors[3],
        Blue_Palette_Descriptors[3], /* bis hierher OK */
       *Red_Palette_Data,
       *Green_Palette_Data,
       *Blue_Palette_Data;

    float Window_Center,
        Window_Width,
        Rescale_Intercept,
        Rescale_Slope;

    char Photometric_Interpretation[20], 
        Patname[MAX_STRING_LENGTH], 
        *Pixel_Data; 

    char Study_ID[MAX_STRING_LENGTH]; 
    char Modality[MAX_STRING_LENGTH]; 
    char SOP[MAX_STRING_LENGTH]; 

    unsigned long Pixel_Data_Length;
    Window window; 
    XImage *xi; 

}   Image_Modul;

void GetImageData(
  char *fname,
  Image_Modul *image1,
  int Rescaleflag, /* should I read MLUT information? */
  int Windowflag,  /* should I read VLUT information? */
  int MULTI,       /* am I in a multi...? environment? */
  int CalcStatus);

void malloc_error();

#endif /* __CTNDISP_DICOM_H */
